package com.madeu.service.web.webstatistics;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WebStatisticsService {
    public HashMap<String, Object> selectStatisticsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectStatistics(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectPaymentStatisticsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectStatisticsPayment(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectListStatisticsPaymentExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectClinicStatisticsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectStatisticsClinic(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> downloadStatisticsClinicExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUserStatisticsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectStatisticsUser(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> downloadStatisticsUserExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectPushStatisticsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectStatisticsPush(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> downloadStatisticsPushExcel(HashMap<String, Object> paramMap) throws Exception;
}
